# Region(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``Region`(bpy_struct)

  Region in a subdivided screen area

  `height`

    Region height

    Type: | int in [0, 32767], default 0, (readonly)

  `id`

    Unique ID for this region

    Type: | int in [-32768, 32767], default 0, (readonly)

  `type`

    Type of this region

    Type: | enum in [‘WINDOW’, ‘HEADER’, ‘CHANNELS’, ‘TEMPORARY’, ‘UI’, ‘TOOLS’, ‘TOOL_PROPS’, ‘PREVIEW’], default ‘WINDOW’, (readonly)

  `view2d`

    2D view of the region

    Type: | `View2D`, (readonly, never None)

  `width`

    Region width

    Type: | int in [0, 32767], default 0, (readonly)

  `x`

    The window relative vertical location of the region

    Type: | int in [-inf, inf], default 0, (readonly)

  `y`

    The window relative horizontal location of the region

    Type: | int in [-inf, inf], default 0, (readonly)

  `tag_redraw`()

    tag_redraw

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Area.regions` | `Context.region`